## r-cran-rnaturalearth 1.0.1

=== DESCRIPTION ===
Package: rnaturalearth
Title: World Map Data from Natural Earth
Version: 1.0.1
Authors@R: c(
  person(
    family = "Massicotte",
    given = "Philippe",
    email = "pmassicotte@hotmail.com",
    role = c("aut", "cre"),
    comment = c(ORCID = "0000-0002-5919-4116")
  ),
  person(
    family = "South",
    given = "Andy",
    email = "southandy@gmail.com",
    role = c("aut")
  ),
  person(
    family = "Hufkens",
    given = "Koen",
    email = "koen.hufkens@gmail.com",
    role = c("ctb"),
    comment = c(ORCID = "0000-0002-5070-8109")
  ))
Description: Facilitates mapping by making natural earth map data from <https://www.naturalearthdata.com/> more easily available to R users.
License: MIT + file LICENSE
LazyData: true
LazyDataCompression: xz
Encoding: UTF-8
URL: https://docs.ropensci.org/rnaturalearth/,
        https://github.com/ropensci/rnaturalearth,
        https://docs.ropensci.org/rnaturalearthhires/
BugReports: https://github.com/ropensci/rnaturalearth/issues
Additional_repositories: http://packages.ropensci.org
Depends: R (>= 3.1.1)
Imports: httr (>= 1.1.0), jsonlite, sf (>= 0.3-4), terra, utils (>=
        3.2.3)
Suggests: devtools (>= 1.10.0), dplyr, ggplot2, ggrepel, knitr (>=
        1.12.3), lifecycle (>= 1.0.3), pbapply, purrr, rlang,
        rmarkdown, rnaturalearthdata (>= 0.1.0), rnaturalearthhires (>=
        0.1.0), testthat (>= 0.9.1), tmap
Config/Needs/website: ropensci/rnaturalearthhires
VignetteBuilder: knitr
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2023-12-14 12:23:14 UTC; filoche
Author: Philippe Massicotte [aut, cre]
    (<https://orcid.org/0000-0002-5919-4116>),
  Andy South [aut],
  Koen Hufkens [ctb] (<https://orcid.org/0000-0002-5070-8109>)
Maintainer: Philippe Massicotte <pmassicotte@hotmail.com>
Repository: CRAN
Date/Publication: 2023-12-15 11:00:02 UTC

=== debian/changelog ===
r-cran-rnaturalearth (1.0.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload for testing migration.

 -- Boyuan Yang <byang@debian.org>  Thu, 28 Nov 2024 09:59:33 -0500

r-cran-rnaturalearth (1.0.1-1) unstable; urgency=medium

  * Initial release (closes: #1078596)

 -- Andreas Tille <tille@debian.org>  Tue, 13 Aug 2024 12:27:10 +0200

=== debian/control ===
Source: r-cran-rnaturalearth
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-httr,
               r-cran-jsonlite,
               r-cran-sf,
               r-cran-terra
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rnaturalearth
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rnaturalearth.git
Homepage: https://cran.r-project.org/package=rnaturalearth
Rules-Requires-Root: no

Package: r-cran-rnaturalearth
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: World Map Data from Natural Earth
 Facilitates mapping by making natural earth map data from
 <https://www.naturalearthdata.com/> more easily available to R users.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/rnaturalearth_([-\d.]*)\.tar\.gz

## r-cran-rnaturalearth 1.2.0

=== DESCRIPTION ===
Package: rnaturalearth
Title: World Map Data from Natural Earth
Version: 1.2.0
Authors@R: c(
  person(
    family = "Massicotte",
    given = "Philippe",
    email = "pmassicotte@hotmail.com",
    role = c("aut", "cre"),
    comment = c(ORCID = "0000-0002-5919-4116")
  ),
  person(
    family = "South",
    given = "Andy",
    email = "southandy@gmail.com",
    role = c("aut")
  ),
  person(
    family = "Hufkens",
    given = "Koen",
    email = "koen.hufkens@gmail.com",
    role = c("ctb"),
    comment = c(ORCID = "0000-0002-5070-8109")
  ))
Description: Facilitates mapping by making natural earth map data from <https://www.naturalearthdata.com/> more easily available to R users.
License: MIT + file LICENSE
LazyData: true
LazyDataCompression: xz
Encoding: UTF-8
URL: https://docs.ropensci.org/rnaturalearth/,
        https://github.com/ropensci/rnaturalearth,
        https://docs.ropensci.org/rnaturalearthhires/
BugReports: https://github.com/ropensci/rnaturalearth/issues
Additional_repositories: https://ropensci.r-universe.dev
Depends: R (>= 3.1.1)
Imports: cli, httr (>= 1.1.0), jsonlite, sf (>= 0.3-4), terra, utils
        (>= 3.2.3)
Suggests: pak, dplyr, ggplot2, ggrepel, knitr (>= 1.12.3), lifecycle
        (>= 1.0.3), pbapply, purrr, rlang, rmarkdown, rnaturalearthdata
        (>= 1.0.0), rnaturalearthhires (>= 1.0.0), testthat (>= 0.9.1),
        tmap
Config/Needs/website: ropensci/rnaturalearthhires
VignetteBuilder: knitr
RoxygenNote: 7.3.3
NeedsCompilation: no
Packaged: 2026-01-19 14:12:33 UTC; filoche
Author: Philippe Massicotte [aut, cre] (ORCID:
    <https://orcid.org/0000-0002-5919-4116>),
  Andy South [aut],
  Koen Hufkens [ctb] (ORCID: <https://orcid.org/0000-0002-5070-8109>)
Maintainer: Philippe Massicotte <pmassicotte@hotmail.com>
Repository: CRAN
Date/Publication: 2026-01-19 17:20:02 UTC

=== debian/changelog ===
r-cran-rnaturalearth (1.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)
  Trim trailing whitespace.
  Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository, Repository-Browse.

 -- Charles Plessy <plessy@debian.org>  Tue, 03 Feb 2026 13:15:12 +0900

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,17 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
+               r-cran-cli,
                r-cran-httr,
                r-cran-jsonlite,
                r-cran-sf,
-               r-cran-terra
-Standards-Version: 4.6.2
+               r-cran-terra,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rnaturalearth
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rnaturalearth.git
 Homepage: https://cran.r-project.org/package=rnaturalearth

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-dplyr,
         r-cran-ggplot2,
         r-cran-ggrepel,
         r-cran-knitr,
         r-cran-lifecycle,
         r-cran-pbapply,
         r-cran-purrr,
         r-cran-rlang,
         r-cran-rmarkdown,
         r-cran-rnaturalearthdata,
         r-cran-testthat
Restrictions: allow-stderr
